﻿// Copyright 2011 L'Express de Toronto Inc.
// August 1 2011
// Written by Kasyan Servetsky
// http://www.kasyan.ho.com.ua
// e-mail: askoldich@yahoo.com
//==================================================================
var gScriptName = "Move text frames to the Articles layer"; // Name of the script
var gScriptVersion = "1.0"; // Version

if (app.documents.length == 0) ErrorExit("Please open a document and try again.");
var sel = app.selection;
if ( sel.length == 0) ErrorExit("Nothing is selected.");
var doc = app.activeDocument;
var articlesLayer = doc.layers.itemByName("Articles");
if (articlesLayer == null) ErrorExit("The \"Articles\" doesn't exist.");
if (articlesLayer.locked) articlesLayer.locked = false;

if (sel.length == 1 && sel[0].constructor.name == "TextFrame") {
	if (sel[0].constructor.name == "TextFrame" && sel[0].itemLayer != articlesLayer) sel[0].itemLayer = articlesLayer;
}
else if (sel.length > 1) {
	for (var i = 0; i < sel.length; i++) {
		if (sel[i].constructor.name == "TextFrame") sel[i].itemLayer = articlesLayer;
	}
}
else {
	alert("Select one or more text frames and try again.", gScriptName + " - " + gScriptVersion);
}

//===================================== FUNCTIONS =======================================
function ErrorExit(error, icon) {
	alert(error, gScriptName + " - " + gScriptVersion, icon);
	exit();
}
//--------------------------------------------------------------------------------------------------------------------------------------------------------